/*
 * PdbKey.hpp
 *
 *  Created on: Dec 4, 2010
 *      Author: heber
 */

#ifndef PDBKEY_HPP_
#define PDBKEY_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


/**
 * Known keys for the Pdb line.
 */
class PdbKey {
public:
  enum KnownTokens { Atom, Remark, Connect, Filler, EndOfTimestep, NoToken };

  enum PdbDataKey {
    noKey,
    token,
    serial,
    name,
    altLoc,
    resName,
    chainID,
    resSeq,
    iCode,
    X,
    Y,
    Z,
    occupancy,
    tempFactor,
    element,
    charge,
    timestep
  };
};


#endif /* PDBKEY_HPP_ */
